#include <intuition/intuition.h>


struct TextAttr TOPAZ80 = {
    (STRPTR)"topaz.font",
    TOPAZ_EIGHTY,0,0
};
struct NewScreen NewScreenStructure = {
    0,0,    /* screen XY origin relative to View */
    320,200,    /* screen width and height */
    4,    /* screen depth (number of bitplanes) */
    0,1,    /* detail and block pens */
    NULL,    /* display modes for this screen */
    CUSTOMSCREEN,    /* screen type */
    &TOPAZ80,    /* pointer to default screen font */
    NULL,    /* screen title */
    NULL,    /* first in list of custom screen gadgets */
    NULL    /* pointer to custom BitMap structure */
};

#define NEWSCREENSTRUCTURE NewScreenStructure

struct IntuiText ABDWin2IText15 = {
    1,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    223,178,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "Page 2 of 3",    /* pointer to text */
    NULL    /* next IntuiText structure */
};

struct IntuiText ABDWin2IText14 = {
    1,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    9,162,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "which survive the fourth phase.",    /* pointer to text */
    &ABDWin2IText15    /* next IntuiText structure */
};

struct IntuiText ABDWin2IText13 = {
    1,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    9,152,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "to Demons, which are the spirals",    /* pointer to text */
    &ABDWin2IText14    /* next IntuiText structure */
};

struct IntuiText ABDWin2IText12 = {
    1,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    9,142,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "cannot be seen, but they give rise",    /* pointer to text */
    &ABDWin2IText13    /* next IntuiText structure */
};

struct IntuiText ABDWin2IText11 = {
    1,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    9,132,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "droplets, defects, and demons. Defects",    /* pointer to text */
    &ABDWin2IText12    /* next IntuiText structure */
};

struct IntuiText ABDWin2IText10 = {
    1,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    21,122,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "There are 4 distinct phases:  debris,",    /* pointer to text */
    &ABDWin2IText11    /* next IntuiText structure */
};

struct IntuiText ABDWin2IText9 = {
    1,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    9,109,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "value.",    /* pointer to text */
    &ABDWin2IText10    /* next IntuiText structure */
};

struct IntuiText ABDWin2IText8 = {
    1,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    8,99,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "the first cell is set to the higher",    /* pointer to text */
    &ABDWin2IText9    /* next IntuiText structure */
};

struct IntuiText ABDWin2IText7 = {
    1,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    9,88,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "which is one greater than its value,",    /* pointer to text */
    &ABDWin2IText8    /* next IntuiText structure */
};

struct IntuiText ABDWin2IText6 = {
    1,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    9,78,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "cell's nearest 4 neighbors has a value",    /* pointer to text */
    &ABDWin2IText7    /* next IntuiText structure */
};

struct IntuiText ABDWin2IText5 = {
    1,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    9,67,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "each generation, if any one of a",    /* pointer to text */
    &ABDWin2IText6    /* next IntuiText structure */
};

struct IntuiText ABDWin2IText4 = {
    1,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    8,56,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "a unique color on the screen.  During",    /* pointer to text */
    &ABDWin2IText5    /* next IntuiText structure */
};

struct IntuiText ABDWin2IText3 = {
    1,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    8,46,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "16 values.  Each value is displayed as",    /* pointer to text */
    &ABDWin2IText4    /* next IntuiText structure */
};

struct IntuiText ABDWin2IText2 = {
    1,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    23,36,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "Each cell is set randomly to one of",    /* pointer to text */
    &ABDWin2IText3    /* next IntuiText structure */
};

struct IntuiText ABDWin2IText1 = {
    1,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    103,18,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "The Algorithm",    /* pointer to text */
    &ABDWin2IText2    /* next IntuiText structure */
};

#define ABDWin2IntuiTextList1 ABDWin2IText1

struct NewWindow ABDWin2NewWindowStructure1 = {
    0,11,    /* window XY origin relative to TopLeft of screen */
    320,189,    /* window width and height */
    0,1,    /* detail and block pens */
    CLOSEWINDOW,    /* IDCMP flags */
    WINDOWDEPTH+WINDOWCLOSE+SIMPLE_REFRESH+ACTIVATE+NOCAREREFRESH,    /* other window flags */
    NULL,    /* first gadget in gadget list */
    NULL,    /* custom CHECKMARK imagery */
    "About BlitDemons",    /* window title */
    NULL,    /* custom screen pointer */
    NULL,    /* custom bitmap */
    5,5,    /* minimum width and height */
    640,200,    /* maximum width and height */
    CUSTOMSCREEN    /* destination screen type */
};

struct IntuiText ABDWin3IText22 = {
    1,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    216,179,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "Page 3 of 3",    /* pointer to text */
    NULL    /* next IntuiText structure */
};

struct IntuiText ABDWin3IText21 = {
    1,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    54,111,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "Bix:      wstrick",    /* pointer to text */
    &ABDWin3IText22    /* next IntuiText structure */
};

struct IntuiText ABDWin3IText20 = {
    1,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    53,97,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "Ma Bell:  (303) 443-0493",    /* pointer to text */
    &ABDWin3IText21    /* next IntuiText structure */
};

struct IntuiText ABDWin3IText19 = {
    1,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    133,81,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "Boulder, CO 80302",    /* pointer to text */
    &ABDWin3IText20    /* next IntuiText structure */
};

struct IntuiText ABDWin3IText18 = {
    1,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    132,72,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "1410 19th St. #6",    /* pointer to text */
    &ABDWin3IText19    /* next IntuiText structure */
};

struct IntuiText ABDWin3IText17 = {
    1,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    52,62,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "USMail:   Walter Strickler",    /* pointer to text */
    &ABDWin3IText18    /* next IntuiText structure */
};

struct IntuiText ABDWin3IText16 = {
    1,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    17,17,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "I may be reached by:",    /* pointer to text */
    &ABDWin3IText17    /* next IntuiText structure */
};

#define ABDWin3IntuiTextList2 ABDWin3IText16

struct NewWindow ABDWin3NewWindowStructure2 = {
    0,11,    /* window XY origin relative to TopLeft of screen */
    320,189,    /* window width and height */
    0,1,    /* detail and block pens */
    CLOSEWINDOW,    /* IDCMP flags */
    WINDOWDEPTH+WINDOWCLOSE+SIMPLE_REFRESH+ACTIVATE+NOCAREREFRESH,    /* other window flags */
    NULL,    /* first gadget in gadget list */
    NULL,    /* custom CHECKMARK imagery */
    "About BlitDemons",    /* window title */
    NULL,    /* custom screen pointer */
    NULL,    /* custom bitmap */
    5,5,    /* minimum width and height */
    640,200,    /* maximum width and height */
    CUSTOMSCREEN    /* destination screen type */
};

struct IntuiText BDWindowIText23 = {
    0,1,JAM1,    /* front and back text pens, drawmode and fill byte */
    0,0,    /* XY origin relative to container TopLeft */
    &TOPAZ80,    /* font pointer or NULL for default */
    "Quit",    /* pointer to text */
    NULL    /* next IntuiText structure */
};

struct MenuItem BDWindowMenuItem5 = {
    NULL,    /* next MenuItem structure */
    0,36,    /* XY of Item hitbox relative to TopLeft of parent hitbox */
    80,8,    /* hit box width and height */
    ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,    /* Item flags */
    0,    /* each bit mutually-excludes a same-level Item */
    (APTR)&BDWindowIText23,    /* Item render  (IntuiText or Image or NULL) */
    NULL,    /* Select render */
    'Q',    /* alternate command-key */
    NULL,    /* SubItem list */
    MENUNULL    /* filled in by Intuition for drag selections */
};

struct IntuiText BDWindowIText24 = {
    0,1,JAM1,    /* front and back text pens, drawmode and fill byte */
    0,0,    /* XY origin relative to container TopLeft */
    &TOPAZ80,    /* font pointer or NULL for default */
    "Stop",    /* pointer to text */
    NULL    /* next IntuiText structure */
};

struct MenuItem BDWindowMenuItem4 = {
    &BDWindowMenuItem5,    /* next MenuItem structure */
    0,27,    /* XY of Item hitbox relative to TopLeft of parent hitbox */
    80,8,    /* hit box width and height */
    ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,    /* Item flags */
    0,    /* each bit mutually-excludes a same-level Item */
    (APTR)&BDWindowIText24,    /* Item render  (IntuiText or Image or NULL) */
    NULL,    /* Select render */
    'S',    /* alternate command-key */
    NULL,    /* SubItem list */
    MENUNULL    /* filled in by Intuition for drag selections */
};

struct IntuiText BDWindowIText25 = {
    0,1,JAM1,    /* front and back text pens, drawmode and fill byte */
    0,0,    /* XY origin relative to container TopLeft */
    &TOPAZ80,    /* font pointer or NULL for default */
    "Start",    /* pointer to text */
    NULL    /* next IntuiText structure */
};

struct MenuItem BDWindowMenuItem3 = {
    &BDWindowMenuItem4,    /* next MenuItem structure */
    0,18,    /* XY of Item hitbox relative to TopLeft of parent hitbox */
    80,8,    /* hit box width and height */
    ITEMTEXT+COMMSEQ+HIGHCOMP,    /* Item flags */
    0,    /* each bit mutually-excludes a same-level Item */
    (APTR)&BDWindowIText25,    /* Item render  (IntuiText or Image or NULL) */
    NULL,    /* Select render */
    'G',    /* alternate command-key */
    NULL,    /* SubItem list */
    MENUNULL    /* filled in by Intuition for drag selections */
};

struct IntuiText BDWindowIText26 = {
    0,1,JAM2,    /* front and back text pens, drawmode and fill byte */
    0,0,    /* XY origin relative to container TopLeft */
    &TOPAZ80,    /* font pointer or NULL for default */
    "New",    /* pointer to text */
    NULL    /* next IntuiText structure */
};

struct MenuItem BDWindowMenuItem2 = {
    &BDWindowMenuItem3,    /* next MenuItem structure */
    0,9,    /* XY of Item hitbox relative to TopLeft of parent hitbox */
    80,8,    /* hit box width and height */
    ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,    /* Item flags */
    0,    /* each bit mutually-excludes a same-level Item */
    (APTR)&BDWindowIText26,    /* Item render  (IntuiText or Image or NULL) */
    NULL,    /* Select render */
    'N',    /* alternate command-key */
    NULL,    /* SubItem list */
    MENUNULL    /* filled in by Intuition for drag selections */
};

struct IntuiText BDWindowIText27 = {
    0,1,JAM2,    /* front and back text pens, drawmode and fill byte */
    0,0,    /* XY origin relative to container TopLeft */
    &TOPAZ80,    /* font pointer or NULL for default */
    "About",    /* pointer to text */
    NULL    /* next IntuiText structure */
};

struct MenuItem BDWindowMenuItem1 = {
    &BDWindowMenuItem2,    /* next MenuItem structure */
    0,0,    /* XY of Item hitbox relative to TopLeft of parent hitbox */
    80,8,    /* hit box width and height */
    ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,    /* Item flags */
    0,    /* each bit mutually-excludes a same-level Item */
    (APTR)&BDWindowIText27,    /* Item render  (IntuiText or Image or NULL) */
    NULL,    /* Select render */
    'A',    /* alternate command-key */
    NULL,    /* SubItem list */
    MENUNULL    /* filled in by Intuition for drag selections */
};

struct Menu BDWindowMenu1 = {
    NULL,    /* next Menu structure */
    0,0,    /* XY origin of Menu hit box relative to screen TopLeft */
    75,0,    /* Menu hit box width and height */
    MENUENABLED,    /* Menu flags */
    "Project",    /* text of Menu name */
    &BDWindowMenuItem1    /* MenuItem linked list pointer */
};

#define BDWindowMenuList3 BDWindowMenu1

struct NewWindow BDWindowNewWindowStructure3 = {
    0,1,    /* window XY origin relative to TopLeft of screen */
    320,199,    /* window width and height */
    0,1,    /* detail and block pens */
    MENUPICK+CLOSEWINDOW+MENUVERIFY,    /* IDCMP flags */
    WINDOWDEPTH+WINDOWCLOSE+ACTIVATE+NOCAREREFRESH,    /* other window flags */
    NULL,    /* first gadget in gadget list */
    NULL,    /* custom CHECKMARK imagery */
    "BlitDemons v1.0",    /* window title */
    NULL,    /* custom screen pointer */
    NULL,    /* custom bitmap */
    5,5,    /* minimum width and height */
    640,200,    /* maximum width and height */
    CUSTOMSCREEN    /* destination screen type */
};

struct IntuiText ABDWin1IText38 = {
    1,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    223,178,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "Page 1 of 3",    /* pointer to text */
    NULL    /* next IntuiText structure */
};

struct IntuiText ABDWin1IText37 = {
    1,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    9,124,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "system.",    /* pointer to text */
    &ABDWin1IText38    /* next IntuiText structure */
};

struct IntuiText ABDWin1IText36 = {
    1,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    10,113,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "runs under Apex, the unknown operating",    /* pointer to text */
    &ABDWin1IText37    /* next IntuiText structure */
};

struct IntuiText ABDWin1IText35 = {
    1,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    10,102,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "of a program by Loren Blaney which",    /* pointer to text */
    &ABDWin1IText36    /* next IntuiText structure */
};

struct IntuiText ABDWin1IText34 = {
    1,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    10,91,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "acheive its high speed.  It is a port",    /* pointer to text */
    &ABDWin1IText35    /* next IntuiText structure */
};

struct IntuiText ABDWin1IText33 = {
    1,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    26,81,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "It uses the Amiga's Blitter to",    /* pointer to text */
    &ABDWin1IText34    /* next IntuiText structure */
};

struct IntuiText ABDWin1IText32 = {
    1,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    9,67,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "American.  ",    /* pointer to text */
    &ABDWin1IText33    /* next IntuiText structure */
};

struct IntuiText ABDWin1IText31 = {
    1,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    7,56,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "the August, 1989, issue of Scientific",    /* pointer to text */
    &ABDWin1IText32    /* next IntuiText structure */
};

struct IntuiText ABDWin1IText30 = {
    1,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    8,46,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "the cellular automaton described in",    /* pointer to text */
    &ABDWin1IText31    /* next IntuiText structure */
};

struct IntuiText ABDWin1IText29 = {
    1,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    24,36,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "This program is an implementation of",    /* pointer to text */
    &ABDWin1IText30    /* next IntuiText structure */
};

struct IntuiText ABDWin1IText28 = {
    1,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    41,17,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "BlitDemons By Walter Strickler",    /* pointer to text */
    &ABDWin1IText29    /* next IntuiText structure */
};

#define ABDWin1IntuiTextList4 ABDWin1IText28

struct NewWindow ABDWin1NewWindowStructure4 = {
    0,11,    /* window XY origin relative to TopLeft of screen */
    320,189,    /* window width and height */
    0,1,    /* detail and block pens */
    CLOSEWINDOW,    /* IDCMP flags */
    WINDOWDEPTH+WINDOWCLOSE+SIMPLE_REFRESH+ACTIVATE+NOCAREREFRESH,    /* other window flags */
    NULL,    /* first gadget in gadget list */
    NULL,    /* custom CHECKMARK imagery */
    "About BlitDemons",    /* window title */
    NULL,    /* custom screen pointer */
    NULL,    /* custom bitmap */
    5,5,    /* minimum width and height */
    640,200,    /* maximum width and height */
    CUSTOMSCREEN    /* destination screen type */
};
